package  com.gic.haoban.manage.service.service ;

import com.gic.haoban.manage.api.dto.HaobanUserDTO;

/**
 * 
* @ClassName: HaobanUserApiService
* @Description: TODO(这里用一句话描述这个类的作用)
* @author xugh
* @date 2022年5月20日 下午4:39:46
*
 */
public interface HaobanUserService {
	
	/**
	 * 新增
	* @Title: insert 
	* @Description: TODO
	* @Param @param TabHaobanUser
	 */
	public HaobanUserDTO insert(HaobanUserDTO  tabHaobanUser) ;
	
	/**
	 * 通过主键查询
	* @Title: selectById 
	* @Description: TODO
	* @Param @param id
	* @Param @return
	* @Return TabHaobanUser
	* @Throws
	 */
	public HaobanUserDTO selectByPhone(String wxEnterpriseId , String phone) ;

    public void updateDefaultGicEid(String userId, String gicEnterpriseId);

    public HaobanUserDTO selectById(String userId);
	
}